<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>User Transactions</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
          integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/css/style.css">

    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/solid.js"
            integrity="sha384-tzzSw1/Vo+0N5UhStP3bvwWPq+uvzCMfrN1fEFe+xBmv1C/AtVX5K0uZtmcHitFZ"
            crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"
            integrity="sha384-6OIrr52G08NpOFSZdxxz1xdNSndlD4vdcf/q2myIUVO0VsqaGHJsB0RaBE01VTOY"
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/ab35fad191.js" crossorigin="anonymous"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.12/css/select2.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.12/js/select2.full.min.js"></script>
</head>

<body>
<div class="wrapper">
    <!-- Sidebar  -->
    <nav id="sidebar">
        <div class="sidebar-header company-name">
            <a th:href="@{/}">
                <img src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/logo.png" alt="rip" width="200px">
            </a>
        </div>

        <ul class="list-unstyled components">
            <li class="">
                <a href="#reportsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-book"></i>
                        <label>Manage Finances</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="reportsSubmenu">
                    <li>
                        <a th:href="@{/make-BankTransfer}">Withdraw Funds</a>
                    </li>
                    <li>
                        <a th:href="@{/my-transactions}">Your Transactions</a>
                    </li>
                    <li>
                        <a th:href="@{/make-transaction}">Make a Transaction</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#walletsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-wallet"></i>
                        <label>Wallets</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="walletsSubmenu">
                    <li>
                        <a th:href="@{/my-wallets}">Your Wallets</a>
                    </li>
                    <li>
                        <a th:href="@{/add-wallet}">Create New Wallet</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#cardsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-credit-card"></i>
                        <label>Cards</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="cardsSubmenu">
                    <li>
                        <a th:href="@{/my-cards}">My cards</a>
                    </li>
                    <li>
                        <a th:href="@{/add-card}">Add New Card</a>
                    </li>
                </ul>
            </li>
            <li>
                <a th:href="@{/my-profile}">
                    <i class="fas fa-user" style="color: #ffffff;"></i>
                    <label>Profile</label>
                </a>
            </li>

            <li sec:authorize="hasRole('ADMIN')">
                <a href="#adminSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-user-cog"></i>
                        <label>Admin panel</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="adminSubmenu">
                    <li>
                        <a th:href="@{/users}">User management</a>
                    </li>
                    <li>
                        <a th:href="@{/transactions}">All transactions</a>
                    </li>
                </ul>

            </li>

        </ul>
    </nav>


    <!-- Page Content  -->
    <div id="content">
        <nav class="navbar navbar-expand-lg">
            <div class="container-fluid">

                <button type="button" id="sidebarCollapse">
                    <i id="collapse-icon" class="fas fa-bars fa-2x"></i>
                </button>

                <button class="btn d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fas fa-bars"></i>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="nav navbar-nav ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/make-transaction}">
                                <i class="fas fa-plus-circle"></i>
                                Make Transaction
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/my-profile}">
                                <i class="fas fa-user-circle"></i>
                                <label>Profile</label>
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/logout}">
                                <i class="fas fa-sign-out-alt"></i>
                                <label>Logout</label>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container main-container">
            <div class="container table-responsive transaction-container">
                <p class="users-list-section page-main-title">
                   My Transactions
                </p>

                <!--                <form th:action="@{/transactions + '?' + ${} + }"-->
                <div class="row pad">
                    <div class="col-lg-6 col-sm-6 filer-search-container d-flex justify-content-start">
                        <label class="col-lg-4">Sender</label>
                        <label class="col-lg-4">Recipient</label>
                    </div>
                </div>

                <!--                <div class="row pad">-->
                <form th:action="@{/filter-transactions}" method="post" th:object="${transactionFilter}" class="row pad">
                    <div class="col-lg-6 col-sm-6 filer-search-container d-flex justify-content-start">
                        <!--                        <select class="filer-select-search" th:id="other_user_role">-->
                        <!--                            <option value="sender">Sender</option>-->
                        <!--                            <option value="recipient">Recipient</option>-->
                        <!--                        </select>-->
                        <select class="search-input col-lg-6" type="text" name="search" id="sender" style="margin-right: 40px; max-width: 140px" th:field="*{senderId}"></select>
                        <div class="col-lg-1"></div>
                        <select class="search-input col-lg-6" type="text" name="search" id="recipient" style="margin-right: 20px; max-width: 140px" th:field="*{recipientId}"></select>
                        <button type="submit" class="col-lg-3 confirm-button" style="margin-left: 75px">Search</button>
                    </div>

                    <div class="col-lg-6 col-sm-6  d-flex justify-content-end">
                        <select class="sort-select" th:field="*{status}">
                            <option value="0">All Types</option>
                            <option value="2">Successful</option>
                            <option value="1">Unsuccessful</option>
                        </select>

                        <select class="filter-select" th:field="*{timePeriod}">
                            <option value="today">Today</option>
                            <option value="last_week">Last 7 Days</option>
                            <option value="last_month">Last 30 Days</option>
                            <option value="last_year">Last Year</option>
                            <option value="all_time">All Time</option>
                        </select>

                        <select class="sort-select" th:field="*{sortOption}">
                            <option value="date">Date Asc</option>
                            <option value="date_desc">Date Desc</option>
                            <option value="amount">Amount Asc</option>
                            <option value="amount_desc">Amount Desc</option>
                        </select>
                    </div>
                </form>
                <!--                </div>-->

                <br>
                <table class="table table-bordered users-list-section">
                    <thead>
                    <tr>
                        <th style="width: 15%" scope="col">Transaction Id</th>
                        <th style="width: 16.666%" scope="col">Sender</th>
                        <th style="width: 16.666%" scope="col">Recipient</th>
                        <th style="width: 15%" scope="col">Amount</th>
                        <th style="width: 15%" scope="col">Status</th>
                        <th style="width: 21.666%" scope="col">Date</th>
                    </tr>
                    </thead>
                    <tbody>

                    <tr th:each="transaction:${transactions}" th:switch="${transaction.status}">
                        <td th:text="${transaction.id}">2NCzoqbY7CXiq9MqvjDJV4DcBj3Q</td>
                        <td th:text="${transaction.sender.username}">paulpun</td>
                        <td th:text="${transaction.recipient.username}">katesmith</td>
                        <td th:text="${transaction.amount}">12.000078</td>
                        <td th:case="1">successful</td> <td th:case="0">unsuccessful</td>
                        <td th:text="${transaction.date}">2019-01-24 12:50:17 </td>
                    </tr>
                    </tbody>
                </table>
            </div>

        </div>

    </div>
</div>

<!-- jQuery CDN - Slim version (=without AJAX) -->
<!--<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"-->
<!--        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"-->
<!--        crossorigin="anonymous"></script>-->
<!-- Popper.JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
        integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"
        integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>

<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/app.js"></script>
<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/admin-user-transaction.js"></script>
</body>

</html>